Bug 144086 - multimedia/vlc 1.0.5_1,3 does not compile on 6.4-STABLE [patch]
multimedia/vlc 1.0.5_1,3 does not compile on 6.4-STABLE [patch]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-19 02:50 UTC by marka
Modified: 2010-04-14 17:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.20 KB, patch)
2010-02-19 02:50 UTC, marka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description marka 2010-02-19 02:50:00 UTC
	vlc calls a unprotected posix_memalign().

Fix: All p_buffers assignments are calloc's so free should
	be NULL with the exception of memory allocated here.

	Mark
How-To-Repeat: 
	attempt to compile vlc.
Comment 1 Dmitry Marakasov freebsd_committer 2010-03-09 16:59:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2010-03-09 17:05:01 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback.
Comment 3 dfilter freebsd_committer 2010-04-14 17:22:30 UTC
amdmi3      2010-04-14 16:22:21 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/vlc       Makefile 
  Added files:
    multimedia/vlc/files extra-patch-modules_access_v4l2.c 
  Log:
  - Fix build on 6.x
  
  PR:             144086
  Submitted by:   Mark Andrews <marka@isc.org>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.216     +4 -0      ports/multimedia/vlc/Makefile
  1.1       +71 -0     ports/multimedia/vlc/files/extra-patch-modules_access_v4l2.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Marakasov freebsd_committer 2010-04-14 17:22:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!